// boolean tests
class C {
    public static void main(String[] args) {
    	String s = null;
    	if (true || false) s = "Hello";
    	if (s == null) {
    		s.toString(); // maybe null
    	}
    	else {
    		s.toString(); // not null
    	}
    	
   	String t = null;
    	if (true || false) t = "Hello";
    	if (t != null) {
    		t.toString(); // not null
    	}
    	else {
    		t.toString(); // maybe null
   	}
    }
}
